# Changelog 'stable'

Hier dokumentieren wir die Änderungen an der Stable-Firmware von Freifunk Hochstift.

## 1.1.0

Änderungen im Vergleich zu [1.0.6](https://firmware.hochstift.freifunk.net/1.0.6/Changelog.html)

* Basis: gluon [v2017.1.8](https://github.com/freifunk-gluon/gluon/releases/tag/v2017.1.8)
    * Konfiguration, Texte und Pakete für gluon v2017.1.x angepasst
* ffho-ath9k-blackout-workaround: entfernt
* ffho-autoupdater-wifi-fallback-legacy: entfernt
* ffho-debug:
    * der Befehl heißt nun 'debug-report'
    * der Debug-Report wird nur noch lokal abgelegt
* ffho-fix-defaultroute: entfernt
* ffho-site-auto-select: entfernt
* ffho-web-autoupdater: ersetzt ffho-luci-autoupdater-wifi-fallback
    * Update-Minute einstellbar
* ffho-web-\*: ersetzt ffho-web-\*
* gluon-ebtables-source-filter: ersetzt ffho-ebtables-net-rules
* gluon-next-node: entfällt
* gluon-status-page: ersetzt ffho-status-page
* gluon-web\*: ersetzt gluon-luci\*
* gluon-web-logging: ersetzt ffho-luci-remote-syslog
* gluon-web-network: ersetzt gluon-luci-portconfig
* template.conf:
    * IPs von GW06 entfernt
    * veraltete Config für ffho-debug entfernt
* Neue Hardware:
    * ar71xx-generic:
        * GL Innovations GL-AR300M
        * GL Innovations GL-AR750
        * TP-Link Acer C7 v4
        * TP-Link RE450
        * TP-Link WBS210 v1.20
        * TP-Link WBS510 v1.20
        * TP-Link WR1043N v5
        * Ubiquiti AirGateway LR
        * Ubiquiti AirGateway PRO
        * Ubiquiti Rocket M2/M5 Ti
        * Ubiquiti Unifi AP LR
        * Ubiquiti Unifi AC Mesh
    * ar71xx-tiny:
        * TP-Link TL-WA730RE v1
        * TP-Link TL-WA7210N v2
        * TP-Link TL-WR940N v6
    * x86-generic: ersetzt x86-kvm und x86-xen_domu
    * x86-geode: Neu
    * ramips-mt7621:
        * Ubiquiti er-x
        * Ubiquiti er-x-sfp

## 1.0.6

Änderungen im Vergleich zu [1.0.5](https://firmware.hochstift.freifunk.net/1.0.5/Changelog.html)

* Basis: gluon [v2016.2.7](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.2.7)
* template.conf:
    * IPs für GW01 hinzugefügt
* ffho-ath9k-blackout-workaround:
    * Einige Fehler behoben

## 1.0.5

Änderungen im Vergleich zu [1.0.4](https://firmware.hochstift.freifunk.net/1.0.4/Changelog.html)

* Basis: gluon [v2016.2.6](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.2.6)
* template.conf:
    * Link zur Karte korrigiert
* Hardware:
    * TP-Link
        * TL-WR841N/ND v12

## 1.0.4

Änderungen im Vergleich zu [1.0.3](https://firmware.hochstift.freifunk.net/1.0.3/Changelog.html)

* Basis: gluon [v2016.2.5](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.2.5)
* ffho-ebtables-net-rules
    * Änderungen von gluon-ebtables-source-filter übernommen
* opkg:
    * Signatur für eigene Modules/Packages korrigiert
* template.conf:
    * IPv6-Adresse von GW06 hinzugefügt
    * Signing-Key von leeps entfernt
    * Einstellungen für ath9k-workaround optimiert
* Hardware:
    * x86-generic und x86-64 unterstützen nun auch WLAN-Karten

## 1.0.3

Änderungen im Vergleich zu [1.0.2](https://firmware.hochstift.freifunk.net/1.0.2/Changelog.html)

* sites.conf:
    * Fehlerhafte Gruppenzuordnung bei Salzkotten behoben

## 1.0.2

Änderungen im Vergleich zu [1.0.1](https://firmware.hochstift.freifunk.net/1.0.1/Changelog.html)

* sites.conf:
    * Falsche Gruppenzuordnung bei Lichtenau behoben

## 1.0.1

Änderungen im Vergleich zu [1.0.0](https://firmware.hochstift.freifunk.net/1.0.0/Changelog.html)

* ffho-ebtables-net-rules:
    * Problem bei fehlendem additional_prefix6 behoben

## 1.0.0

Änderungen im Vergleich zu [0.7.4](https://firmware.hochstift.freifunk.net/0.7.4/Changelog.html)

* Basis: gluon [v2016.2.3](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.2.3)
* gluon-alfred: entfernt
* ffho-debug:
    * Es werden nun alle vorhandenen WLAN-Interfaces abgefragt (bessere Unterstützung von dualband Geräten und 802.11s-Mesh)
    * Fehler beim Versenden des Reports behoben
* ffho-luci-ap-timer:
    * Fehler bei leerer Config behoben
* gluon-mesh-batman-adv-15:
    * ersetzt gluon-mesh-batman-adv-14
* ffho-respondd-config: entfernt
* groups.conf: NEW
    * Infos über die Konfigurationen der einzelnen Sites
* sites.conf:
    * Zuweisung von Region -> Site/Gruppe hinzugefügt
* template.conf:
    * Als URL zum OpenWRT-Package-Repository wird nun eine eigene genutzt
    * NTP-Server auf ntp.srv.in.ffho.net geändert
    * Adressen für Site-Split angepasst
    * Von IBSS-Mesh auf 11s-Mesh gewechselt
    * Gateways aktualisiert
* Hardware:
    * ar71xx-generic
        * TP-Link
            * TL-WR940N v4
            * TL-WR1043N/ND v4
        * Cisco Meraki
            * MR12: entfernt
            * MR16: entfernt
            * MR62: entfernt
            * MR66: entfernt


